apr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Justin Erenkrantz <jerenkra...@ebuilt.com>
Subject [PATCH] Forbid autoconf-2.52f
Date Sun, 06 Jan 2002 19:28:25 GMT
In a change made on 9/23/2001 by Akim Demaille, autoconf now 
overrides top_builddir with their own definition which completely 
screws our build system.

We require an absolute apr_builddir in rules.mk not a relative one 
to rules.mk's path.  (This stops apr-util or httpd from building.)

So, I want to forbid any release made after that date 
(autoconf-2.52f) until we sort this problem out.  I do not have the 
heart to track this down now.  If someone has the desire to do this,
please submit/commit patches now.  =)

There are enough other problems (autom4te.cache does not pick up 
on changes to .m4 macros) that it isn't a good idea to use this 
development branch anyway.  But, those aren't showstoppers.  This 
is.  -- justin

Index: CHANGES
===================================================================
RCS file: /home/cvs/apr/CHANGES,v
retrieving revision 1.201
diff -u -r1.201 CHANGES
--- CHANGES	29 Dec 2001 23:14:20 -0000	1.201
+++ CHANGES	6 Jan 2002 19:20:16 -0000
@@ -1,5 +1,7 @@
 Changes with APR b1  
 
+  *) Forbid use of autoconf-2.52f.  [Justin Erenkrantz]
+
   *) apr_lock_create() and apr_proc_mutex_create() now have an
      additional parameter for specifying the lock mechanism.  
      apr_lock_create_np() and apr_proc_mutex_create_np() have been
Index: build/buildcheck.sh
===================================================================
RCS file: /home/cvs/apr/build/buildcheck.sh,v
retrieving revision 1.5
diff -u -r1.5 buildcheck.sh
--- build/buildcheck.sh	12 Jul 2001 07:52:25 -0000	1.5
+++ build/buildcheck.sh	6 Jan 2002 19:20:16 -0000
@@ -3,6 +3,7 @@
 echo "buildconf: checking installation..."
 
 # autoconf 2.13 or newer
+# but not autoconf 2.52f (top_builddir is overriden)
 ac_version=`autoconf --version 2>/dev/null|head -1|sed -e 's/^[^0-9]*//' -e 's/[a-z]*
*$//'`
 if test -z "$ac_version"; then
 echo "buildconf: autoconf not found."
@@ -17,7 +18,18 @@
 echo "           to build Apache from CVS."
 exit 1
 else
+if test "$1" = "2" -a "$2" = "52"; then
+ac_version=`autoconf --version 2>/dev/null|head -1|sed -e 's/^[^0-9]*//'`
+if test "$ac_version" = "2.52f"; then
+echo "buildconf: autoconf version $ac_version is not supported."
+echo "           Please install autoconf 2.52d (or earlier)"
+echo "           to build Apache from CVS."
+exit 1
+fi
 echo "buildconf: autoconf version $ac_version (ok)"
+else
+echo "buildconf: autoconf version $ac_version (ok)"
+fi
 fi
 
 # libtool 1.3.3 or newer


Mime
View raw message